<packet name="SubStruct_UpdateSpellBook">
	<version number="1">
		<u8 name="empty">
		<u32 name="spell_id">
		<u32 name="recast_available">
		<u8 name="available">
		<u8 name="type">
		<u16 name="recast_time">
		<u8 name="status">
		<u8 name="charges">
	</version>
	<version number="373">
		<u8 name="empty">
		<u32 name="spell_id">
		<u32 name="recast_available">
		<u8 name="available">
		<u8 name="unknown5">
		<u8 name="type">
		<u16 name="recast_time">
		<u8 name="status">
		<u8 name="charges">
	</version>
	<version number="546">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u16 name="recast_time">
		<u8 name="unknown3">
		<u16 name="unknown4">
		<i16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown5">
		<u8 name="status">
	</version>
	<version number="562">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u16 name="type">
		<u16 name="recast_time">
		<u16 name="unknown3">
		<i16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown5" size="4">
		<u8 name="status">
	</version>
	<version number="1096">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u8 name="unknown1">
		<u16 name="recast_time">
		<u16 name="unknown3">
		<i16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown5" size="10">
		<u8 name="status">
		<u8 name="unknown6">
	</version>
	<version number="1144">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u8 name="unknown1">
		<u16 name="recast_time">
		<u16 name="unknown3" size="2">
		<i16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown5" size="11">
		<u8 name="status">
		<u8 name="unknown6" size="3">
	</version>
	<version number="1188">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u8 name="unknown1">
		<u16 name="recast_time">
		<u16 name="unknown3" size="2">
		<i16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown5" size="10">
		<u8 name="savage_bar_slot">
		<u8 name="unknown5b" size="4">
		<u8 name="status">
		<u8 name="unknown6" size="3">
	</version>
	<version number="1199">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u8 name="unknown1">
		<u16 name="recast_time">
		<u16 name="unknown3" size="2">
		<i16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown5" size="17">
		<u8 name="status">
		<u8 name="unknown6" size="3">
	</version>
	<version number="57048">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u8 name="unknown1">
		<u16 name="recast_time">
		<u16 name="unknown3" size="3">
		<i16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown5" size="20">
		<u8 name="status">
		<u8 name="unknown6" size="3">
	</version>
	<version number="58617">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u8 name="target_type">
		<u16 name="recast_time">
		<u16 name="unknown_58617_1_MJ" size="3">
		<u16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown3" size="20">
		<u16 name="distance">
		<u16 name="unknown4">
		<u8 name="status">
		<u8 name="unknown6" size="3">
	</version>
	<version number="58647">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u8 name="target_type">
		<u16 name="recast_time">
		<u16 name="unknown_58617_1_MJ" size="3">
		<u16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown3" size="20">
		<u16 name="distance">
		<u16 name="unknown4">
		<u8 name="status">
		<u8 name="unknown6" size="3">
	</version>
	<version number="64707">
		<u32 name="spell_id">
		<u32 name="unique_id">
		<u32 name="recast_available">
		<u8 name="type">
		<u8 name="target_type">
		<u16 name="recast_time">
		<u16 name="unknown_58617_1_MJ" size="4">
		<u16 name="icon">
		<u16 name="icon_type">
		<u16 name="icon2">
		<u8 name="charges">
		<u8 name="unknown3" size="20">
		<u16 name="distance">
		<u16 name="unknown4">
		<u8 name="status">
		<u8 name="unknown6" size="3">
	</version>
</packet>